net.i2p.i2ptunnel.socks

## Class I2PSOCKSIRCTunnel

- java.lang.Object
- - net.i2p.i2ptunnel.I2PTunnelTask
  - - net.i2p.i2ptunnel.I2PTunnelClientBase
    - - net.i2p.i2ptunnel.socks.I2PSOCKSTunnel
      - - net.i2p.i2ptunnel.socks.I2PSOCKSIRCTunnel

- All Implemented Interfaces:
    Runnable, EventDispatcher

      public class I2PSOCKSIRCTunnel
      extends I2PSOCKSTunnel

- - ### Field Summary

    - ### Fields inherited from class net.i2p.i2ptunnel.socks.I2PSOCKSTunnel

      `DEFAULT, outProxyDest, PROP_PROXY_DEFAULT, PROP_PROXY_PREFIX`

    - ### Fields inherited from class net.i2p.i2ptunnel.I2PTunnelClientBase

      `_clientId, _context, _log, _ownDest, dest, l, mySockets, sockLock, sockMgr`

    - ### Fields inherited from class net.i2p.i2ptunnel.I2PTunnelTask

      `open`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `I2PSOCKSIRCTunnel(int localPort, Logging l, boolean ownDest, EventDispatcher notifyThis, I2PTunnel tunnel, String pkf)`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected void` | `clientConnectionRun(Socket s)` Same as in I2PSOCKSTunnel, but run the filters from I2PTunnelIRCClient instead of I2PTunnelRunner

    - ### Methods inherited from class net.i2p.i2ptunnel.socks.I2PSOCKSTunnel

      `buildOptions, getDefaultProxies, getProxies, getProxyMap`

    - ### Methods inherited from class net.i2p.i2ptunnel.I2PTunnelClientBase

      `buildSocketManager, buildSocketManager, buildSocketManager, buildSocketManager, close, closeSocket, createI2PSocket, createI2PSocket, getDefaultOptions, getDefaultOptions, getListenHost, getLocalPort, getSocketManager, getSocketManager, getSocketManager, manageConnection, run, startRunning, verifySocketManager`

    - ### Methods inherited from class net.i2p.i2ptunnel.I2PTunnelTask

      `attachEventDispatcher, detachEventDispatcher, disconnected, errorOccurred, getEventDispatcher, getEvents, getEventValue, getId, getTunnel, ignoreEvents, isOpen, notifyEvent, reportAbuse, routerDisconnected, setId, setName, setTunnel, toString, unIgnoreEvents, waitEventValue`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### I2PSOCKSIRCTunnel

          public I2PSOCKSIRCTunnel(int localPort,
                           Logging l,
                           boolean ownDest,
                           EventDispatcher notifyThis,
                           I2PTunnel tunnel,
                           String pkf)

      Parameters:
        `pkf` - private key file name or null for transient key

  - ### Method Detail

    - #### clientConnectionRun

          protected void clientConnectionRun(Socket s)

      Same as in I2PSOCKSTunnel, but run the filters from I2PTunnelIRCClient instead of I2PTunnelRunner
      Overrides:
        `clientConnectionRun` in class `I2PSOCKSTunnel`